
Redmine - Defect #20234

time_entries.json returns error 500, Invalid Argumends

2015-07-03 14:13 - Georg Pribil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Started GET "/time_entries.xml?offset=0&limit=30" for 172.28.0.11 at 2015-07-03 14:08:28 +0200

Processing by TimelogController#index as XML

  Parameters: {"offset"=>"0", "limit"=>"30"}

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings`

  ^[[1m^[[36mUser Load (1.0ms)^[[0m  ^[[1mSELECT `users`.* FROM `users` WHERE `users`.`type` IN ('

User', 'AnonymousUser') AND `users`.`login` = 'georg'^[[0m

  ^[[1m^[[35mSQL (3.5ms)^[[0m  UPDATE `users` SET `last_login_on` = '2015-07-03 14:08:28' WHERE `u

sers`.`type` IN ('User', 'AnonymousUser') AND `users`.`id` = 423

  Current user: georg (id=423)

Completed 500 Internal Server Error in 9.0ms

ArgumentError (wrong number of arguments (2 for 3)):

  app/models/query.rb:341:in `add_filter'

  app/models/time_entry_query.rb:35:in `initialize'

  app/models/query.rb:232:in `new'

  app/models/query.rb:232:in `build_from_params'

  app/controllers/timelog_controller.rb:45:in `index'

 This is currently a Blocker for one of our projects

History

#1 - 2015-07-04 11:27 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Please read SubmittingBugs, we can't do anything with without things like your Redmine version.

Also make sure that you don't have local changes to your Redmine code base, as this "wrong number of arguments" error looks very suspicious.

#2 - 2015-07-06 10:00 - Georg Pribil

Sorry, here's the environment:

Environment:

Redmine version                2.5.0.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

event_notifications            2.0.0

greentube                      0.0.1

redmine_backlogs               v1.0.6

redmine_blocks_layout          0.0.2

redmine_issue_templates        0.0.8

redmine_my_page_queries        2.0.9

redmine_per_project_formatting 0.0.3

redmine_reminder               0.4

redmine_theme_changer          0.1.0

2024-05-07 1/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


#3 - 2015-07-06 16:30 - Georg Pribil

Alright, can be closed. we found the problem

#4 - 2015-07-24 06:50 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Thank you for your feedback.
